From a028c39ddd9994a5932d231ead0007ec34bbdf95 Mon Sep 17 00:00:00 2001
From: petter <39340152+petterhs@users.noreply.github.com>
Date: Sat, 23 Jan 2021 01:51:07 +0100
Subject: [PATCH] check for cmake build-success before running post-build.sh

---
 docker/build.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/docker/build.sh b/docker/build.sh
index f35c2f3a..8f0d0fa9 100755
--- a/docker/build.sh
+++ b/docker/build.sh
@@ -31,8 +31,8 @@ main() {
 
   CmakeGenerate
   CmakeBuild $target
-
-  if [[ "$DISABLE_POSTBUILD" != "true" ]]; then
+  BUILD_RESULT=$? 
+  if [ "$DISABLE_POSTBUILD" != "true" -a "$BUILD_RESULT" == 0 ]; then
     source "$BUILD_DIR/post_build.sh"
   fi
 }
@@ -70,7 +70,9 @@ CmakeGenerate() {
 CmakeBuild() {
   local target="$1"
   [[ -n "$target" ]] && target="--target $target"
-  cmake --build "$BUILD_DIR" --config $BUILD_TYPE $target -- -j$(nproc)
+  if cmake --build "$BUILD_DIR" --config $BUILD_TYPE $target -- -j$(nproc)
+    then return 0; else return 1; 
+  fi
 }
 
 [[ $SOURCED == "false" ]] && main "$@" || echo "Sourced!"
\ No newline at end of file